#!/opt/cloudlinux/venv/bin/python3 -sbb
# coding:utf-8

# Copyright © Cloud Linux GmbH & Cloud Linux Software, Inc 2010-2023 All Rights Reserved
#
# Licensed under CLOUD LINUX LICENSE AGREEMENT
# http://cloudlinux.com/docs/LICENSE.TXT

from __future__ import absolute_import
from __future__ import division
from __future__ import print_function

import sys
import time
import json
from ui_package_installer import UIPackageInstaller

PACKAGE_NAME = 'cloudlinux-awp-plugin'
PACKAGE_PATH = '/usr/share/cloudlinux-awp-plugin'
PACKAGE_INSTALL_ERROR_LOG = '/var/log/awp_install_error.log'


def main():
    installer = UIPackageInstaller(PACKAGE_NAME, PACKAGE_PATH, PACKAGE_INSTALL_ERROR_LOG)
    installer.run(sys.argv[1:])


if __name__ == '__main__':
    try:
        main()
    except Exception as error:
        print(json.dumps({"result": "error", "timestamp": time.time(), "response": str(error)}))
        sys.exit(1)
